Bug 1817717 - Add Azure UPI support
Summary: Add Azure UPI support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Fabiano Franz
QA Contact: Etienne Simard
URL:
Whiteboard:
Depends On: 1823720
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-26 19:27 UTC by Fabiano Franz
Modified: 2020-04-30 01:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1817716
Environment:
Last Closed: 2020-04-30 01:28:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3351 None closed Bug 1817717: Backport Azure UPI to 4.3 2020-07-10 22:33:13 UTC
Red Hat Product Errata RHBA-2020:1529 None None None 2020-04-30 01:28:29 UTC

Description Fabiano Franz 2020-03-26 19:27:23 UTC
+++ This bug was initially created as a clone of Bug #1817716 +++

+++ This bug was initially created as a clone of Bug #1817712 +++

Description of problem:

As an admin, I would like to deploy OpenShift 4 on Microsoft Azure using infrastructure that I provisioned.

Expected results:

Customers would like to be able to provide additional customizations for their OpenShift clusters beyond what can be done with a typical Azure installer provisioned infrastructure deployment using openshift-install. Many of these customizations are necessary due to operational constraints placed upon their environments. Reasons include regulatory, security, and operational control.

Comment 3 Etienne Simard 2020-04-03 22:43:31 UTC
This PR only adds ARM templates and documentation for the Azure UPI.

Verified a new cluster creation with those:

./openshift-install 4.3.0-0.nightly-2020-04-03-081522
built from commit ea80f4149382695f00a7d963a60cbb58fcdba60a
release image registry.svc.ci.openshift.org/ocp/release@sha256:aba820b0c045e96f8c9c320265998870202efec35a2367b31cdb6313d913cb40

Comment 7 Anping Li 2020-04-16 10:50:09 UTC
Move to assign as https://bugzilla.redhat.com/show_bug.cgi?id=1823720

Comment 13 errata-xmlrpc 2020-04-30 01:28:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1529


Note You need to log in before you can comment on or make changes to this bug.